package com.iamberry.app.mapper;

import com.iamberry.app.core.entity.CodeValid;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年11月1日
 * @explain	验证码 SQL Mapper映射
 */
public interface CodeMapper {

	/**
	 * 保存一条发送记录
	 * @param codeValid
	 * @return
	 */
	public int save(CodeValid codeValid);
	
	/**
	 * 获取某一个手机号码最后的发送记录
	 * @param phone
	 * @return
	 */
	public CodeValid getLast(String phone);
	
	/**
	 * 更新状态
	 * @param codeId
	 * @return
	 */
	public int update(Long codeId);
}
